Pattern
Keywords: uk.ac.ic.doc.automed.ssd.Pattern class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.ssd
Class Pattern

    java.lang.Object
      uk.ac.ic.doc.automed.ssd.Pattern

    public class Pattern

extends java.lang.Object

The Pattern class represents a pattern of a semistructured datasource in regular expression.

Author:
  Sasivimol Kittivoravitkul (sk297@doc.ic.ac.uk)

Constructor Summary
`protected` | `Pattern(int id)`
`` | `Pattern(java.lang.String name, java.lang.String patvalue)`

Method Summary
`static Pattern` | `createPattern(java.lang.String name, java.lang.String patvalue)`
`static boolean` | `exists(java.lang.String pname)`
`static java.util.Vector` | `getAllPatternNames()`
`java.lang.String` | `getName()`
`static Pattern` | `getPatternByName(java.lang.String name)`
`int` | `getPID()`
`static int` | `getPIDByName(java.lang.String name)`
`java.lang.String` | `getValue()`
`static void` | `retract(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pattern

    public Pattern(java.lang.String name,
                   java.lang.String patvalue)

### Pattern

    protected Pattern(int id)

Method Detail

### createPattern

    public static Pattern createPattern(java.lang.String name,
                                        java.lang.String patvalue)

### exists

    public static boolean exists(java.lang.String pname)

### getAllPatternNames

    public static java.util.Vector getAllPatternNames()

### getPID

    public int getPID()

### getName

    public java.lang.String getName()

### getValue

    public java.lang.String getValue()

### getPIDByName

    public static int getPIDByName(java.lang.String name)

### getPatternByName

    public static Pattern getPatternByName(java.lang.String name)

### retract

    public static void retract(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD